# OpalT140MediaStream Class Reference

`#include <rfc4103.h>`

Inheritance diagram for OpalT140MediaStream:

[legend]
Collaboration diagram for OpalT140MediaStream:
[legend]

## Public Member Functions

| OpalT140MediaStream (OpalConnection &conn, const OpalMediaFormat &mediaFormat, unsigned sessionID, bool isSource)
virtual PBoolean | IsSynchronous () const
virtual PBoolean | RequiresPatchThread () const
bool | ReadPacket (RTP_DataFrame &packet)
bool | WritePacket (RTP_DataFrame &packet)

## Protected Member Functions

virtual void | InternalClose ()

## Detailed Description

Media stream for carrying RFC 4103 (T.140) instant message over RTP

## Constructor & Destructor Documentation

OpalT140MediaStream::OpalT140MediaStream | ( | OpalConnection & | conn,
|  | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | bool | isSource |
| ) |  |  |

Parameters:

  mediaFormat | Media format for stream
  sessionID | Session number for stream
  isSource | Is a source stream

## Member Function Documentation

virtual void OpalT140MediaStream::InternalClose | ( |  | ) | `[inline, protected, virtual]`

Close any internal components of the stream. This should be used in preference to overriding the Close() function as it is guaranteed to be called exactly once and avoids race conditions in the shut down sequence of a media stream.

Implements OpalMediaStream.

virtual PBoolean OpalT140MediaStream::IsSynchronous | ( |  | ) | const`[inline, virtual]`

Indicate if the media stream is synchronous. If this returns true then the media stream will block of the amount of time it takes to annunciate the data. For example if the media stream is over a sound card, and 480 bytes of data are to be written it will take 30 milliseconds to complete.

Implements OpalMediaStream.

bool OpalT140MediaStream::ReadPacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Read an RTP frame of data from the source media stream. The default behaviour simply calls ReadData() on the data portion of the RTP_DataFrame and sets the frames timestamp and marker from the internal member variables of the media stream class.

Reimplemented from OpalMediaStream.

virtual PBoolean OpalT140MediaStream::RequiresPatchThread | ( |  | ) | const`[inline, virtual]`

Reimplemented from OpalMediaStream.

bool OpalT140MediaStream::WritePacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Write an RTP frame of data to the sink media stream. The default behaviour simply calls WriteData() on the data portion of the RTP_DataFrame and and sets the internal timestamp and marker from the member variables of the media stream class.

Reimplemented from OpalMediaStream.

The documentation for this class was generated from the following file:

- rfc4103.h